org.jbpm.workflow.instance.node

## Class EventSubProcessNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.CompositeNodeInstance
        - - org.jbpm.workflow.instance.node.CompositeContextNodeInstance
          - - org.jbpm.workflow.instance.node.EventSubProcessNodeInstance

- All Implemented Interfaces:
    Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance, org.kie.api.runtime.process.NodeInstanceContainer

      public class EventSubProcessNodeInstance
      extends CompositeContextNodeInstance

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `PARAMETER_MATCHER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSubProcessNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getActivationType()`
    `protected EventSubProcessNode` | `getCompositeNode()`
    `org.kie.api.definition.process.NodeContainer` | `getNodeContainer()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance

      `addContextInstance, getCompositeContextNode, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance

      `addEventListeners, addNodeInstance, cancel, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSubProcessNodeInstance

          public EventSubProcessNodeInstance()

  - ### Method Detail

    - #### getCompositeNode

          protected EventSubProcessNode getCompositeNode()

      Overrides:
        `getCompositeNode` in class `CompositeNodeInstance`

    - #### getNodeContainer

          public org.kie.api.definition.process.NodeContainer getNodeContainer()

      Overrides:
        `getNodeContainer` in class `CompositeNodeInstance`

    - #### getActivationType

          protected String getActivationType()

      Overrides:
        `getActivationType` in class `StateBasedNodeInstance`

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `CompositeNodeInstance`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `EventNodeInstanceInterface`
      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `CompositeNodeInstance`

    - #### nodeInstanceCompleted

          public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                            String outType)

      Overrides:
        `nodeInstanceCompleted` in class `CompositeNodeInstance`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.